Debian Bug report logs - #649456
pidgin-sipe: 'Read error' and cannot login with new libnss3-1d 3.13.1 in Sid

version graph

Package: pidgin-sipe; Maintainer for pidgin-sipe is Jakub Adam <jakub.adam@ktknet.cz>; Source for pidgin-sipe is src:pidgin-sipe.

Reported by: Roger <wenrui@gmail.com>

Date: Mon, 21 Nov 2011 01:21:05 UTC

Severity: normal

Merged with 642199

Found in version pidgin-sipe/1.11.2-1

Fixed in version pidgin-sipe/1.13.1-2.1

Done: Dominique Dumont <dod@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://developer.pidgin.im/ticket/15247

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Avelar <aavelar@cofradia.org>:
Bug#649456; Package pidgin-sipe. (Mon, 21 Nov 2011 01:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger <wenrui@gmail.com>:
New Bug report received and forwarded. Copy sent to Anibal Avelar <aavelar@cofradia.org>. (Mon, 21 Nov 2011 01:21:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roger <wenrui@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pidgin-sipe: 'Read error' and cannot login with new libnss3-1d 3.13.1 in Sid
Date: Mon, 21 Nov 2011 09:18:50 +0800
Package: pidgin-sipe
Version: 1.11.2-1
Severity: important

Dear Maintainer,

After update to new libnss3-1d library in Sid, I cannot login my SIPE account any more.
Server will terminate the connection in the middle with 'Read error'.

Downgrading libnss3-1d to 3.12.11 works.

Trace is at http://pastebin.com/tKDQnnUa

Thanks

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'oldstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39.1 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages pidgin-sipe depends on:
ii  libc6             2.13-21              
ii  libcomerr2        1.42~WIP-2011-10-16-1
ii  libglib2.0-0      2.30.2-4             
ii  libgssapi-krb5-2  1.9.1+dfsg-3         
ii  libk5crypto3      1.9.1+dfsg-3         
ii  libkrb5-3         1.9.1+dfsg-3         
ii  libnspr4-0d       4.8.9-1              
ii  libnss3-1d        3.12.11-3            
ii  libpurple0        2.10.0-1+b2          
ii  libxml2           2.7.8.dfsg-5         

pidgin-sipe recommends no packages.

pidgin-sipe suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Avelar <aavelar@cofradia.org>:
Bug#649456; Package pidgin-sipe. (Thu, 24 Nov 2011 16:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric.Valette@Free.fr:
Extra info received and forwarded to list. Copy sent to Anibal Avelar <aavelar@cofradia.org>. (Thu, 24 Nov 2011 16:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 649456@bugs.debian.org (full text, mbox):

From: Eric Valette <Eric.Valette@Free.fr>
To: 649456@bugs.debian.org
Subject: I confirm the bug and the solution
Date: Thu, 24 Nov 2011 17:02:10 +0100
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Avelar <aavelar@cofradia.org>:
Bug#649456; Package pidgin-sipe. (Thu, 24 Nov 2011 16:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric.Valette@Free.fr:
Extra info received and forwarded to list. Copy sent to Anibal Avelar <aavelar@cofradia.org>. (Thu, 24 Nov 2011 16:39:07 GMT) Full text and rfc822 format available.

Message #15 received at 649456@bugs.debian.org (full text, mbox):

From: Eric Valette <Eric.Valette@Free.fr>
To: 649456@bugs.debian.org
Subject: See bug 648821
Date: Thu, 24 Nov 2011 17:30:57 +0100
Other side effect on other software

-- eric




Forcibly Merged 642199 649456. Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Sun, 11 Dec 2011 19:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Avelar <aavelar@cofradia.org>:
Bug#649456; Package pidgin-sipe. (Wed, 14 Dec 2011 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Domenico Andreoli <cavok@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Avelar <aavelar@cofradia.org>. (Wed, 14 Dec 2011 10:15:05 GMT) Full text and rfc822 format available.

Message #22 received at 649456@bugs.debian.org (full text, mbox):

From: Domenico Andreoli <cavok@debian.org>
To: 649456@bugs.debian.org
Subject: Re: Bug#649456: pidgin-sipe: 'Read error' and cannot login with new libnss3-1d 3.13.1 in Sid
Date: Wed, 14 Dec 2011 11:11:18 +0100
same here, workaround fixed it. thanks.
Domenico




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Avelar <aavelar@cofradia.org>:
Bug#649456; Package pidgin-sipe. (Wed, 28 Dec 2011 16:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Becker <chemobejk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Avelar <aavelar@cofradia.org>. (Wed, 28 Dec 2011 16:51:05 GMT) Full text and rfc822 format available.

Message #27 received at 649456@bugs.debian.org (full text, mbox):

From: Stefan Becker <chemobejk@gmail.com>
To: 649456@bugs.debian.org
Subject: confirmed workaround
Date: Wed, 28 Dec 2011 18:46:33 +0200
[Message part 1 (text/plain, inline)]
The problem is caused by the fix for CVE-2011-3389:

   <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-3389>
   <https://bugzilla.mozilla.org/show_bug.cgi?id=665814>
   <https://bugzilla.mozilla.org/show_bug.cgi?id=702111>

Microsoft Lync servers seem to be one of the SSL servers that don't like
the 1/n-1 record splitting.

Workaround: set environment variable NSS_SSL_CBC_RANDOM_IV=0 when running
Pidgin.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Avelar <aavelar@cofradia.org>:
Bug#649456; Package pidgin-sipe. (Wed, 18 Jan 2012 14:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to huysmans@koffie.nu (Jan Huijsmans):
Extra info received and forwarded to list. Copy sent to Anibal Avelar <aavelar@cofradia.org>. (Wed, 18 Jan 2012 14:39:08 GMT) Full text and rfc822 format available.

Message #32 received at 649456@bugs.debian.org (full text, mbox):

From: huysmans@koffie.nu (Jan Huijsmans)
To: 649456@bugs.debian.org
Subject: Confirm workaround
Date: Wed, 18 Jan 2012 15:27:26 +0100
Hello,

I can confirm the workaround from Stefan Becker.

Setting environment variable NSS_SSL_CBC_RANDOM_IV=0 just before
starting pidgin solves the problem.

I'm curious if this is solved in the 1.12 version. (bug 646389)

---

Jan Huijsmans              huysmans@koffie.nu

... cannot activate /dev/brain, no response from main coffee server






Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Avelar <aavelar@cofradia.org>:
Bug#649456; Package pidgin-sipe. (Mon, 27 Feb 2012 07:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fredrik Ax <frax@axnet.nu>:
Extra info received and forwarded to list. Copy sent to Anibal Avelar <aavelar@cofradia.org>. (Mon, 27 Feb 2012 07:03:07 GMT) Full text and rfc822 format available.

Message #37 received at 649456@bugs.debian.org (full text, mbox):

From: Fredrik Ax <frax@axnet.nu>
To: 649456@bugs.debian.org
Subject: Confirmed workaround in wheezy (testing)
Date: Mon, 27 Feb 2012 07:58:17 +0100
[Message part 1 (text/plain, inline)]
NSS_SSL_CBC_RANDOM_IV=0 workaround confirmed on wheezy with kernel 3.2.0-1-amd64 and
pidgin-sipe      1.11.2-1.1
libnss3-1d       3.13.1.with.ckbi

The workaround saved my day, thx!
/frax
[signature.asc (application/pgp-signature, inline)]

Severity set to 'grave' from 'important' Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 22:27:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 649456: 681593 Request was from Jakub Adam <jakub.adam@ktknet.cz> to control@bugs.debian.org. (Sat, 14 Jul 2012 15:39:09 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'grave' Request was from Dominique Dumont <dod@debian.org> to control@bugs.debian.org. (Mon, 22 Oct 2012 18:39:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://developer.pidgin.im/ticket/15247'. Request was from Dominique Dumont <dod@debian.org> to control@bugs.debian.org. (Mon, 22 Oct 2012 18:39:08 GMT) Full text and rfc822 format available.

Message #46 received at 642199-close@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 642199-close@bugs.debian.org
Subject: Bug#642199: fixed in pidgin-sipe 1.13.1-2.1
Date: Thu, 08 Nov 2012 13:17:36 +0000
Source: pidgin-sipe
Source-Version: 1.13.1-2.1

We believe that the bug you reported is fixed in the latest version of
pidgin-sipe, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642199@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominique Dumont <dod@debian.org> (supplier of updated pidgin-sipe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Oct 2012 13:07:17 +0100
Source: pidgin-sipe
Binary: pidgin-sipe
Architecture: source amd64
Version: 1.13.1-2.1
Distribution: unstable
Urgency: low
Maintainer: Anibal Avelar <aavelar@cofradia.org>
Changed-By: Dominique Dumont <dod@debian.org>
Description: 
 pidgin-sipe - Pidgin protocol plugin to connect to MS Office Communicator
Closes: 642199
Changes: 
 pidgin-sipe (1.13.1-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * added patch to help putting workaround in place (Closes: #642199)
Checksums-Sha1: 
 0bbe29286d2f9601544dd212edcbe1d3d3fef2f0 2115 pidgin-sipe_1.13.1-2.1.dsc
 f2ec3de4b2fe077edc9420a21402094dff334a18 8990 pidgin-sipe_1.13.1-2.1.debian.tar.gz
 a4385959d9d0c46b380d4c228022a665ee87d8af 313104 pidgin-sipe_1.13.1-2.1_amd64.deb
Checksums-Sha256: 
 948c60907683b9ebd46c1010965c6092c89ae682dece7f5d55963f2c87ffea08 2115 pidgin-sipe_1.13.1-2.1.dsc
 234c85d47eb6b13df541fce0bdb6bba3ac74e94ca66f0201d171151b864b9c8a 8990 pidgin-sipe_1.13.1-2.1.debian.tar.gz
 8abb5014eab41b1aef637eb94d48129506fdf500be44f12c2386cbdd9b4beffb 313104 pidgin-sipe_1.13.1-2.1_amd64.deb
Files: 
 3a6c65bde8ae8d52c300d2a7c0176a9c 2115 misc optional pidgin-sipe_1.13.1-2.1.dsc
 ac055455e76f5e765ca14045aef75694 8990 misc optional pidgin-sipe_1.13.1-2.1.debian.tar.gz
 6795a6464acdc91e7e0809ff5de1910c 313104 net optional pidgin-sipe_1.13.1-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQjnbpAAoJEMMfT9lJqytsf8QP/3Qw/aV/9t9BVnibhryWYQ9w
hvDK31do45wxS3Tq7+DXFVRRBI+/F2SBsK9vZKd6fkymBOyp410c6/FplD8UccTC
cb0HB3e/aU7m5v7bR3cgWA0Im0Jcq6ykgza4HknacgGOyIEmR8pehLEf4rM+yF/A
sNe/hNrQ3CIHMQgYGQRbtgfsH2gcGozDcFP+AZTbV2VLR+jXUhF459Ifu2lBlTXi
xVk/tFl8t/LJWXg8HLuclj74N6HL/0AE/XAdOse8pJBAYxXnG3UOWmn0PGNPqDIZ
f3UIkAGraUubgJ5/4LNntKF2yPuPAVEsXe/ZH0caTzJZbtf0yzWk18HptyvRlZe6
EYhIG+nt8Pk7cEUj3kt4LgrY6gxVEPDsfJXW0JUIoZb+xIlQglNfZ0675N0G3D9V
xjgfO3covGjCkECaotJkbl03BgPA5Vy/OJZgVlhMEOnXbYWxlA6xLxfDwssNkzT5
NgTch7DG5JQHr3L7h4djrHDhiDjf4zDDIP5B4IwYbka1w5DvUA9A7G6YaIg9cccX
44RjIDwuFn2GcQ6SHcK9a3ro6sLpZt/j/II58AZ3h16xGFvQQklzaHbZZ6IrZDCx
XsGGhsLcOCe+wlSiZBDRsjnps4Xs/QLErt/+2tgRd9VDl7FujZiKYup7VxSVHMUJ
pKm9RYhkHN7OYlGUuiGN
=xD4I
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:38:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:51:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.